---
title: BasicChart - 标准图表
nav:
  title: 基础组件
  path: /components
group:
  path: /
---

# BasicChart 标准图表

基础组件

- 支持的图表类型有直线图、曲线图等 20 种图表，其中很多图表可以集成在同一个图形中形成混合图

## 何时使用

- 当需要展现图表时；

## 代码演示

### 常规使用

<code src="./demos/Basic.tsx">

## API

api 参考 highcharts 库 https://api.highcharts.com.cn/highcharts

| 参数 | 说明 | 类型 | 默认值 | 可选值 |
| --- | --- | --- | --- | --- |
| constructorType | 标题 | string | chart | - 'chart' 用于 Highcharts 图表 <br/> - 'stockChart' 用于 Highstock 图表 <br/> - 'mapChart' 用于 Highmaps 图表 <br/> - 'ganttChart' 用于甘特图 |
| chartOptions`必需` | Highcharts 图表配置对象 | object | { } | - |
