---
title: HistoryInfo - 历史数据查看
nav:
  title: 基础组件
  path: /components
group:
  path: /
---

# HistoryInfo 历史数据查看

基础业务组件

- 查看任意时间段的历史数据
- 允许同期对比任意历史数据
- 允许过滤异常值
- 允许指定时间间隔的数据抽稀

## 何时使用

- 以图表或表格形式，查看历史数据时。

## 代码演示

<code src="./demos/Basic.tsx">

## API

api 参考 Antd Table 组件 https://ant.design/components/table-cn/#API

| 参数 | 说明 | 类型 | 默认值 | 可选值 |
| --- | --- | --- | --- | --- |
| title | 标题 | string | 指标曲线 | - |
| defaultChecked | 默认选中自定义时间 key | string | oneHour | oneHour/fourHour/twelveHours/roundClock/yesterday |
| columns | 表格列的配置描述 | array | [ ] | - |
| dataSource | 表格数据源 | array | [ ] | - |
| tableProps | 表格其他 props | object | { } | - |
| chartOptions | 曲线的 options | object | { } | - |
| onChange | 选择时间设置或曲线设置的回调，会返回修改后的值 | function(value){ } | - | - |
