---
title: TipTool - TipTool UI组件
nav:
  title: 基础组件
  path: /components
group:
  path: /
---

# TipTool 面板

## 代码演示

<code src="./demos/index.js">

## content

| 参数                   | 说明       | 类型   | 默认值 |
| ---------------------- | ---------- | ------ | ------ |
| style                  | tip 框大小 | object |        |
| style.minWidth         | 最小宽度   | string | 600px  |
| style.minHeight        | 最小高度   | string | 300px  |
| style.maxWidth         | 最大宽度   | string | 800px  |
| style.maxHeight        | 最大高度   | string | 400px  |
| dataList               | 数据集合   | object |        |
| dataList.headerSetting | 头部数据   | object | -      |
| dataList.leftSetting   | 中部数据   | array  | -      |
| dataList.events        | 事件       | object | -      |

## 事件

| 名称         | 描述         |
| ------------ | ------------ |
| scaleChange  | 缩放         |
| windowChange | 窗口大小调整 |
| smallChange  | 窗口最小化   |
| tipClose     | 关闭         |
