---
title: EC_DeviceTree - 设备树
nav:
  title: 业务组件
  path: /extend-components
group:
  path: /
---

# EC-DeviceTree 设备树

基础业务组件

- 允许单设备选择
- 允许多设备选择
- 允许搜索设备树

## 何时使用

- 在设备树选择时。

## 代码演示

<code src="./demos/Basic.tsx">

## API

api 参考 Antd Tree 组件 https://ant.design/components/tree-cn/

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| prefix | 搜索框的前置图标 | ReactNode | 搜索 icon |
| placeholder | 搜索框占位符 | string | 搜索设备名称 |
| checkable | 节点前添加 Checkbox 复选框 | boolean | false |
| pagination | 默认分页，false 取消分页 | boolean | true |
| serviceParams | 服务参数 | object | { pageIndex: 1, pageSize: 500, deviceTypes: '二供泵房,二供机组', getChild: true, userID: 1, queryInfo: '', sortFields: '', direction: '', isTop: true } |
| deviceTreeService `必需` | 设备树服务 | promise | - |
| onTreeCheck | 点击复选框触发 | function(checkedNodes){ } | - |
| onTreeSelect | 点击树节点触发 | function(selectedNodes){ } | - |
