import React from 'react';
import { Button } from 'antd';
import PandaEmpty from '../index';

class Demo extends React.Component {
  render() {
    return (
      <div style={{ width: '100%' }}>
        <PandaEmpty size={'small'} />
        <br />
        <PandaEmpty />
        <br />
        <PandaEmpty size={'large'} />
        <br />
        <PandaEmpty size={'small'} statusCode={'-2'} />
        <br />
        <PandaEmpty statusCode={'-1'}>
          <Button type="primary">刷新试试</Button>
        </PandaEmpty>
        <br />
        <div style={{ width: '100%', padding: '32px 0', backgroundColor: '#282D3B' }}>
          <PandaEmpty theme={'dark'} statusCode={'-1'}></PandaEmpty>
        </div>
      </div>
    );
  }
}

export default Demo;
