---
title: LoadBox - 加载中
nav:
  title: 基础组件
  path: /components
group:
  path: /
---

## 何时使用

- 在系统加载界面时。

## 代码演示

<code src="./demos/Base.tsx">

## API

| 参数 | 说明 | 类型 | 默认值 |
| --- | --- | --- | --- |
| delay | 延迟显示加载效果的时间（防止闪烁） | number(毫秒) | - |
| indicator | 加载指示符 | ReactNode | - |
| size | 组件大小，可选值为 small default large | string | default |
| spinning | 是否为加载中状态 | boolean | true |
| tip | 当作为包裹元素时，可以自定义描述文案 | string | - |
| wrapperClassName | 包装器的类属性 | string | - |
| timeout | 超时时间 | number | 3000 |
| timeoutTip | 超时时间提示 | string | 正在加载数据，请耐心等待 |
