---
title: EC_ConfigurationView - 组态查看
nav:
  title: 业务组件
  path: /extend-components
group:
  path: /
---

# EC_ConfigurationView 组态查看

基础业务组件

- 组态查看

## 何时使用

- 在组态查看时。

## 代码演示

<code src="./demos/Basic.tsx">

## API

| 参数                           | 说明                 | 类型   | 默认值   |
| ------------------------------ | -------------------- | ------ | -------- |
| name `必需`                    | 画板名称             | string | ''       |
| devices `必需`                 | 画板设备             | array  | []       |
| pointAddressService `必需`     | 获取点表地址信息接口 | func   | () => {} |
| sketchPadListService `必需`    | 获取画板列表接口     | func   | () => {} |
| sketchPadListParams `必需`     | 画板列表接口参数     | object | {}       |
| sketchPadContentService `必需` | 获取画板 JSON 接口   | func   | () => {} |
| historyInfoService `必需`      | 获取历史信息接口     | func   | () => {} |
| dictionaryService `必需`       | 获取数据字典信息接口 | func   | () => {} |
| dictionaryParams `必需`        | 数据字典信息接口参数 | object | {}       |
| globalConfig `必需`            | 全局 config          | object | {}       |
